Subject: Re: Status of cygwin KDE project - beta version of dll based qt 2.3.0 library is running
From: "Robert Collins" <[email-masked]>
To: "Ralf Habacker" <[email-masked]>, "Cygwin" <[email-masked]>
Cc: "Alan Hourihane" <[email-masked]>
Date: Tue, 15 May 2001 00:15:31 +1000

Could you provide the source for your DLLMain?

Rob

----- Original Message -----
From: "Ralf Habacker" <[email-masked]>
To: "Cygwin" <[email-masked]>
Cc: "Alan Hourihane" <[email-masked]>
Sent: Monday, May 14, 2001 11:46 PM
Subject: AW: Status of cygwin KDE project - beta version of dll based qt
2.3.0 library is running

> Hi Alan,
>
> in the last mail I have written, that you only need -shared to
generate such
> a lib.
>
> For big libs with C++ code such kde I have used a special startup
routine
> DLLMain which does some cygwin specific initialisations in libs.
> Without that, an segment violation occurred on exiting such
applications.
> Perhaps there is another way I dont know about.
>
> At second I've used .... -Wl,--whole archive
$(OBJS) -Wl,--no-whole-archive
> $(DEPENDED_LIBS) .... command parameters to import all symbols in my
object
> files, otherwise the linker eliminates not used functions.
>
> Regards
>
> Ralf Habacker
> EMail: [email-masked]
>        [email-masked]
>
> > -----Ursprüngliche Nachricht-----
> > Von: Alan Hourihane [mailto:[email-masked]]
> > Gesendet am: Donnerstag, 10. Mai 2001 11:42
> > An: Ralf Habacker
> > Betreff: Re: Status of cygwin KDE project - beta version of dll
based qt
> > 2.3.0 library is running
> >
> > On Wed, May 09, 2001 at 03:37:28PM +0200, Ralf Habacker wrote:
> > > Hi,
> > > I have check this too and my client programm runs
> > >
> > > $ ./client
> > > Dll sees var=123
> > > we see var=123
> > > setting var=456
> > > Dll sees var=456
> > > we see var=456
> > >
> > > Dll sees var=90
> > > we see var=90
> > >
> > > Dll sees foo=9
> > > we see foo=9
> > > setting foo=19
> > > Dll sees foo=19
> > > we see foo=19
> > >
> > > Calling dllimported function pointer:
> > > Dll sees foo=19
> > >
> > Thanks Ralf.
> >
> > When you build KDE, are there any other options you pass to the
linker
> > apart from -Wl,--imp-outlib,libxxx.a ?
> >
> > Do you enable '--enable-auto-image-base' or '--enable-dynamic' ?
> >
> > Alan.
> >
>
>
> --
> Want to unsubscribe from this list?
> Check out: http://cygwin.com/ml/#unsubscribe-simple
>
>

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple